#pragma once

#define MESH_CONTAINER typeid(TSE::MeshContainer).name()

#include "Types.hpp"
#include "Mesh.hpp"
#include "elements/BehaviourScript.hpp"

namespace TSE
{
    class MeshContainer : public BehaviourScript
    {
        private:
            Mesh* mesh = nullptr;

        public:
            MeshContainer();
            explicit MeshContainer(Mesh* mesh);

            void SetMesh(Mesh* mesh);
            Mesh* GetMesh() const;

            inline const char* GetName() override
            {
                return "Mesh Container";
            };
    };
} // namespace TSE
